using Microsoft.Azure.Functions.Extensions.DependencyInjection;
using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.DependencyInjection;
using System;
using System.Collections.Generic;
using System.Configuration;
using System.IO;
using System.Reflection;
using System.Text;
using TEAMModelOS.SDK.DI;

[assembly: FunctionsStartup(typeof(TEAMModelFunction.Startup))]
namespace TEAMModelFunction
{
    public class Startup : FunctionsStartup
    { 
        public override void Configure(IFunctionsHostBuilder builder)
        {
            var ConnectionString = System.Environment.GetEnvironmentVariable("CosmosConnection");
            var ScanModel = System.Environment.GetEnvironmentVariable("ScanModel");
            var Database = System.Environment.GetEnvironmentVariable("Database");
            builder.Services.AddHttpClient();
            builder.Services.AddAzureCosmos(new AzureCosmosFactoryOptions 
            { 
                ConnectionString= ConnectionString,
                Name= "Default",
                ScanModel= ScanModel.Split(","),
                Database = Database.Split(","),
            });
        }
    }
}
