﻿using ProtoBuf;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Threading.Tasks;

namespace TEAMModelGrpc.Models
{
    [ProtoContract]
    public class SyllabusTreeDto
    {
        public SyllabusTreeDto()
        {
            children = new List<SyllabusTreeDto>();
        }

        [ProtoMember(16)]
        public List<SyllabusTreeDto> children { get; set; }

        /// <summary>
        /// 
        /// </summary>
        [ProtoMember(1)]
        public string id { get; set; }
        /// <summary>
        /// 标题
        /// </summary>
        [ProtoMember(2)]
        public string title { get; set; }
        /// <summary>
        /// 是否展开
        /// </summary>
        [ProtoMember(3)]
        public bool expand { get; set; }
        /// <summary>
        /// 是否编辑
        /// </summary>
        [ProtoMember(4)]
        public bool editable { get; set; } = true;
        /// <summary>
        /// 版本
        /// </summary>
        [ProtoMember(5)]
        public string version { get; set; }
        /// <summary>
        /// 排序
        /// </summary>
        [ProtoMember(6)]
        public int order { get; set; }
        /// <summary>
        /// 类型
        /// </summary>
        [ProtoMember(7)]
        public int type { get; set; }
      
        /// <summary>
        /// 节点Key
        /// </summary>
        [ProtoMember(8)]
        public string nodeKey { get; set; }
      
        /// <summary>
        /// 父级
        /// </summary>
        [ProtoMember(9)]
        public string pid { get; set; }

        /// <summary>
        /// 册别编码
        /// </summary>
        [ProtoMember(10)]
        public string volumeCode { get; set; }

        /// <summary>
        /// 数据状态
        /// </summary>
        [ProtoMember(11)]
        public int status { get; set; } = 1;

        [ProtoMember(12)]
        public List<string> resources { get; set; }
        [ProtoMember(13)]
        public List<string> knowledges { get; set; }

        [ProtoMember(14)]
        public bool resource { get; set; }
        [ProtoMember(15)]
        public bool knowledge { get; set; }
    }
}
