﻿using ProtoBuf;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.Serialization.Formatters.Binary;
using System.Threading.Tasks;

namespace TEAMModelGrpc.Services
{
        public class DataUtils
        {
            public static byte[] ObjectToBytes<T>(T instance)
            {
                try
                {
                    byte[] array;
                    if (instance == null)
                    {
                        array = new byte[0];
                    }
                    else
                    {
                        MemoryStream memoryStream = new MemoryStream();
                        Serializer.Serialize(memoryStream, instance);
                        array = new byte[memoryStream.Length];
                        memoryStream.Position = 0L;
                        memoryStream.Read(array, 0, array.Length);
                        memoryStream.Dispose();
                    }

                    return array;

                }
                catch (Exception ex)
                {

                    return new byte[0];
                }
            }

            public static T BytesToObject<T>(byte[] bytesData, int offset, int length)
            {
                if (bytesData.Length == 0)
                {
                    return default(T);
                }
                try
                {
                    MemoryStream memoryStream = new MemoryStream();
                    memoryStream.Write(bytesData, 0, bytesData.Length);
                    memoryStream.Position = 0L;
                    T result = Serializer.Deserialize<T>(memoryStream);
                    memoryStream.Dispose();
                    return result;
                }
                catch (Exception ex)
                {
                    return default(T);
                }
            }
        public static byte[] DictToBytes(Dictionary<string, object> dic)
        {
            if (dic == null || !dic.Any())
            {
                return null;
            }
            using (MemoryStream ms = new MemoryStream())
            {
                BinaryFormatter binFormatter = new BinaryFormatter();
                binFormatter.Serialize(ms, dic);
                byte[] dicBytes = ms.ToArray();
                return dicBytes;
            }
        }

        public static Dictionary<string, object> BytesToDict(byte[] dicBytes)
        {
            Dictionary<string, object> dic = new Dictionary<string, object>();
            using (MemoryStream ms = new MemoryStream(dicBytes))
            {
                BinaryFormatter binFormatter = new BinaryFormatter();
                dic = (Dictionary<string, object>)binFormatter.Deserialize(ms);
            }
            return dic;
        }
    }

    }
