using Microsoft.Extensions.DependencyInjection;
using Microsoft.Extensions.DependencyInjection.Extensions;
using System;
using System.Collections.Generic;
using System.Text;

namespace TEAMModelOS.SDK.DI
{
    public static class AzureCosmosFactoryExtensions
    {
        public static IServiceCollection AddAzureCosmos(this IServiceCollection services, AzureCosmosFactoryOptions options, string name = "Default")
        {
            if (services == null) throw new ArgumentNullException(nameof(services));            
            if (options == null) throw new ArgumentNullException(nameof(options));
            services.TryAddSingleton<AzureCosmosFactory>();
            services.Configure<AzureCosmosFactoryOptions>(name, o => { o.Name = name; o.ConnectionString = options.ConnectionString;o.ScanModel = options.ScanModel; o.Database=options.Database ; });
            return services;
        }
    }
}
