import { Random } from "mockjs";

//----------
// 使用 Mock 測試

// ES Modules syntax
import fetch from "node-fetch";
global.fetch = fetch;

var Mock = require("mockjs");

//課程清單
var courseList = [];

for (var i = 1; i <= 50; i++) {
  //課程清單資料
  var students = [];
  for (let p = 1; p <= 38; p++) {
    let studentsData = Mock.mock({
      name: Random.name(),
      group: Random.integer(1, 5),
      "isUploadHomework|1": true, //一個是否有交作業的參數，同學互評使用
      "isGivenComment|1": true, //一個是否有被給評的參數，同學互評使用
    });
    students.push(studentsData); //學生名單資料
  }
  var courseItem = Mock.mock({
    "courseType|1": ["表定", "臨時"],
    courseName: Random.title(12, 15),
    courseID: Random.id(), //課程代碼
    courseAddDate: Random.date('2020.01.dd'), //加入課程的日期
    "courseSubject|1": ["國文", "英文", "數學"],
    //tab1 基本資料
    attendTime: "WED " + Random.time("HH:00"), //上課時間
    classroom: "classroom A" + Random.integer(60, 70), //上課地點
    teacher: Random.name(), //授課教師
    assistantTeachers: [Random.name(), Random.name(), Random.name()], //授課教師

    //tab2 課程概述
    courseDesc: Random.paragraph(17, 27), //課程描述

    //tab3 學生名單
    students: students,
  });
  courseList.push(courseItem);
}
//活動清單
var eventList = [];
for (var j = 1; j <= 70; j++) {
  //課前預習的資料
  var previewMission = [];
  var unitQAs = [];
  for (let p = 1; p <= 5; p++) {
    for (let p = 1; p <= 5; p++) {
      var unitQAContent = Mock.mock({
        qNo: p,
        qDes: Random.paragraph(1, 2) + "?",
        "qType|1": ["單選", "多選", "填充", "判斷"],
        "isOptionImg|1": true,
        ansOptions: ["A", "B", "C", "D", "E"],
        ansOptionsImg: "imgs",
        "correctAns|1": ["A", "B", "C", "D", "E"],
        qKeypoint: Random.title(), //問題知識點
        qAnalysis: Random.title(), //問題解析
      });
      unitQAs.push(unitQAContent);
    }

    let previewMissionContent = Mock.mock({
      unit: p,
      unitName: Random.title(10, 20),
      unitDes: Random.paragraph(1, 2),
      tutorial1: "a.img",
      tutorial2: "b.pdf",
      tutorial3: "youtubeLink",
      unitQAs: unitQAs,
    });
    previewMission.push(previewMissionContent);
  }
  //評量的資料
  var lessonTestQAs = [];
  for (let p = 1; p <= 10; p++) {
    var lessonTestQAContent = Mock.mock({
      qNo: p,
      qDes: Random.paragraph(1, 8) + "?",
      "qType|1": ["單選", "多選", "判斷", "填充"],
      "qImg1|1-10": "https://source.unsplash.com/random/300x200/?water",
      "qImg2|1-10": "https://source.unsplash.com/random/300x200/?line",
      ansOptions: ["A", "B", "C", "D", "E"],
      ansDesc: [
        Random.paragraph(1, 3),
        Random.paragraph(1, 3),
        Random.paragraph(1, 3),
        Random.paragraph(1, 3),
        Random.paragraph(1, 3),
      ],
      "haveImgAns|1-2": true,
      "correctAns|1": ["A", "B", "C", "D", "E"],
      qKeypoint: Random.title(), //問題知識點
      qAnalysis: Random.title(), //問題解析
    });
    lessonTestQAs.push(lessonTestQAContent);
  }

  //作業的資料

  //作業同學觀摩的資料

  var homework = Mock.mock({
    homeworkDes: Random.paragraph(1, 2),
    homeworkAttachement: "Attachement",
   
  });

  //投票的資料
  var voteQA = Mock.mock({
    qDes: Random.paragraph(1, 2) + "?",
    "qType|1": ["單選", "多選"],
    qImage: "img",
    ansOptions: ["A", "B", "C", "D", "E"],
    ansDesc: [
      Random.paragraph(1, 3),
      Random.paragraph(1, 3),
      Random.paragraph(1, 3),
      Random.paragraph(1, 3),
      Random.paragraph(1, 3),
    ],
    ansOptionsImg: "imgs",
  });

  var vote = Mock.mock({
    voteDes: Random.paragraph(6, 8),
    voteAttachement: "Attachement",
    voteQA: voteQA,
  });

  //教師公告的資料
  var poster = Mock.mock({
    posterTitle: Random.paragraph(1, 2),
    posterDes: Random.paragraph(1, 8),
    voteAttachement: "Attachement",
  });

  //教師私訊的資料
  var teacherMessage = Mock.mock({
    teacherMessage: Random.paragraph(11, 20),
  });

  //hiteach電子筆記的資料
  var hiteachPPT = Mock.mock({
    pptAttachement: "Attachement",
  });

  //活動項目匯集
  var eventItem = Mock.mock({
    "eventSubject|1": ["國文", "數學", "英文", "綜合學科"], //所屬科目
   
    eventID: Random.id(), //活動代碼,
    eDes: Random.paragraph(9, 13),
    eventName: Random.title(5, 12), //活動名稱
    teacher: Random.name(), //授課教師
    startTime: Random.date("2020.01.dd"), //開始日期
    endTime: Random.date("2020.02.dd"), //結束日期
    "img1|1-10": "https://source.unsplash.com/random/300x200/?water",
    "img2|1-10": "https://source.unsplash.com/random/300x200/?line",
    "allowRetryNow|1":true, //評量和作業允許補交
    imgList: function() {
      var imgList = [];
      for (var i = 1; i <= 8; i++) {
        //活動描述圖片的資料

        var ImgItem = Mock.mock({
          "img|1-10": "https://source.unsplash.com/random/300x200/?line",
        });
        imgList.push(ImgItem);
      }
      return imgList;
    },

    "isDone|1-2": true, //是否完成
    "isOverEndTime|1-2": false, //是否超時
    "eventType|1": [
      "課前預習",
      "投票",
      "作業",
      "評量",
      "公告",
      "教師私訊",
      "Hiteach電子筆記",
    ],

    previewMission: function() {
      if (this.eventType == "課前預習") return previewMission; //課前預習與自學來源相同
    },
    lessonTest: function() {
      if (this.eventType == "評量") return lessonTestQAs;
    },
    homework: function() {
      if (this.eventType == "作業") return homework;
    },
    vote: function() {
      if (this.eventType == "投票") return vote;
    },
    poster: function() {
      if (this.eventType == "公告") return poster;
    },
    teacherMessage: function() {
      if (this.eventType == "教師私訊") return teacherMessage;
    },
    hiteachPPT: function() {
      if (this.eventType == "Hiteach電子筆記") return hiteachPPT;
    },
  });
  eventList.push(eventItem);
}

//物件按時間排序
eventList = eventList.sort(function(a, b) {
  return a.endTime < b.endTime ? 1 : -1;
});
courseList = courseList.sort(function(a, b) {
  return a.courseAddDate < b.courseAddDate ? 1 : -1;
});

export default {
  courseList,
  eventList,
};
