import { Random } from 'mockjs'
import {  post } from '@/api/http'
//----------
// 使用 Mock 測試

// ES Modules syntax
import fetch from 'node-fetch';
global.fetch = fetch;


var Mock = require('mockjs')

var mockdata = [];
var mocktime = [];
var mockStudydata = [];
var mockStudydata2 = [];
var mockQASheet = [];


for (var i = 1; i <= 30; i++) {
    var data = Mock.mock({

        "string|1-5": "★",//隨意產生1-10個星星
        'teacher': Random.name(),
        'title': Random.ctitle(),
        'date': Random.date('yyyy.MM.dd'),
        'deadline': Random.date('yyyy.MM.dd'),
        'time': Random.time('HH:00'),
        "isDone|1-2": true,
        'desc': Random.cparagraph(1, 7),
        'img1|1-10': 'https://source.unsplash.com/random/300x200/?water',
        'img2|1-10': 'https://source.unsplash.com/random/300x200/?moutain',
        'img3|1-10': 'https://source.unsplash.com/random/?moutain',
        'subPage': true,
        'eventType|1': ['logo-octocat', 'md-game-controller-b', 'md-leaf', 'md-car'],
        'eventId': Random.id(),
        'className|1': ['國文', '數學'],
        'isClosed|1-2': true,



    });
    var data2 = Mock.mock({

        "string|1-5": "★",//隨意產生1-10個星星
        'title': "編序式自學：" + Random.ctitle(),
        'date': Random.date('yyyy.MM.dd'),
        "isDone|1-2": true,
        'desc': Random.cparagraph(1, 7),
        'img1|1-10': 'https://source.unsplash.com/random/300x200/?water',
        'img2|1-10': 'https://source.unsplash.com/random/300x200/?moutain',
        'subPage': true,
        'eventType|1': ['md-filing'],
        'className|1': ['國文', '數學'],



    });
    var data3 = Mock.mock({

        "string|1-5": "★",//隨意產生1-10個星星
        'title': "其他教材：" + Random.ctitle(),
        'date': Random.date('yyyy.MM.dd'),
        "isDone|1-2": true,
        'desc': Random.paragraph(1, 7),
        'subPage': true,
        'eventType|1': ['md-beer', 'md-paper-plane', 'md-paper'],
        'className|1': ['國文', '數學'],
        'doctitle': Random.ctitle()


    });
    var data4 = Mock.mock({

        'rightAns|1': ['A', 'B', 'C', 'D'],
        'MyAns|1': ['A', 'B', 'C', 'D', ''],
        'ansDesc': localStorage.getItem('lang')=='tw'?[Random.cparagraph(1, 3), Random.cparagraph(1, 3), Random.cparagraph(1, 3), Random.cparagraph(1, 3)]:[Random.paragraph(1, 3), Random.paragraph(1, 3), Random.paragraph(1, 3), Random.paragraph(1, 3)],
        'qtype|1': ['單選', '多選'],
        'questionDesc': localStorage.getItem('lang')=='tw'?Random.cparagraph(1, 8):Random.paragraph(1, 8),
        'relatedQ1': localStorage.getItem('lang')=='tw'?Random.cparagraph(1, 8):Random.paragraph(1, 8),
        'relatedQ2': localStorage.getItem('lang')=='tw'?Random.cparagraph(1, 8):Random.paragraph(1, 8),
        "rightrate|1-100": 100,
        'img1|1-10': 'https://source.unsplash.com/random/300x200/?water',
        'img2|1-10': 'https://source.unsplash.com/random/300x200/?line',
        "haveImgAns|1-2": true,
        'AnsImgs|1-10':'https://source.unsplash.com/random/300x200/?green',
       
    });


    mockdata.push(data);
    mockStudydata.push(data2);
    mockStudydata2.push(data3);
    mockQASheet.push(data4);
}

for (var j = 1; j <= 7; j++) {
    var time = Mock.mock({
        "number|1-100": 100,

    });
    mocktime.push(time);

}



//物件按時間排序
mockdata = mockdata.sort(function (a, b) {
    return a.deadline < b.deadline ? 1 : -1;
});

mockStudydata = mockStudydata.sort(function (a, b) {
    return a.deadline < b.deadline ? 1 : -1;
});
mockStudydata2 = mockStudydata2.sort(function (a, b) {
    return a.deadline < b.deadline ? 1 : -1;
});

function finishPercent() {
    var count = 0;
    for (var i = 0; i < mockdata.length; i++) {
        if (mockdata[i].isDone == true) {
            count++;
        }
    }
    var Result = (count / mockdata.length) * 100
    return Result.toFixed(2);
}



var initialfinishResult = finishPercent();

//console.log(mockStudydata)

export default {
    mockdata,
    initialfinishResult,
    mocktime,
    mockStudydata,
    mockStudydata2,
    mockQASheet,

    //查询学生参与评量数据
    FindExamPaper: function (data) {
        return post('/school/exam/find-all-by-student', data)
    },
    //查询学生的评量数据
    FindStudentPaper: function (data) {
        return post('/school/exam/find-summary-by-student', data)
    },
    //保存学生评量数据
    SaveStuExamPaper: function (data) {
        return post('/school/exam/upsert-record', data)
    },

}

