import serviceDriveAuth from "@/mock/serviceDriveAuth";
//先接入假資料

export default {
  namespaced: true,
  state: {
    //假設一開始未定，等待DB資料進來，從action非同步，然後操作mutation，改變State
    serviceList: undefined,
    hiteachAuthList: undefined,
    spaceStatus: undefined,
    serviceIntroIsOpen: [],
    hiteachListItemIsOpen: [], //存放每個開關
  },
  getters: {
    getServiceIntroIsOpen: (state) => {
      return state.serviceIntroIsOpen;
    },
    getHiteachListItemIsOpen: (state) => {
      return state.hiteachListItemIsOpen;
    },
    getServiceList: (state) => {
      if (state.serviceList !== undefined) {
        return state.serviceList;
      } else {
        return {};
      }
    },
    getHiteachAuthList: (state) => {
      if (state.hiteachAuthList !== undefined) {
        return state.hiteachAuthList;
      } else {
        return {};
      }
    },
    getSpaceStatus: (state) => {
      if (state.spaceStatus !== undefined) {
        return state.spaceStatus;
      } else {
        return {};
      }
    },
  },
  mutations: {
    setServiceIntroIsOpen(state, data) {
      state.serviceIntroIsOpen = data;
    },
    setHiteachListItemIsOpen(state, data) {
      state.hiteachListItemIsOpen = data;
    },
    setServiceList(state, data) {
      state.serviceList = data;
    },
    setHiteachAuthList(state, data) {
      state.hiteachAuthList = data;
    },
    setSpaceStatus(state, data) {
      state.spaceStatus = data;
    },
  },
  actions: {
    //模擬從DB(ＭockData)取得所有資料 && commit to state.serviceDriveAuth
    getServiceListDataAsyc(context) {
      return new Promise((resolve) => {
        //先暫時模擬等待幾秒，直接取得資料

        let servicedata = serviceDriveAuth.serviceDriveAuthData.serviceList;
        let hiteachAuthdata =
          serviceDriveAuth.serviceDriveAuthData.hiteachClassroomAuth;
       
        let spaceStatusData = serviceDriveAuth.serviceDriveAuthData.spaceStatus;
        let temp = [],temp2=[];
       
        let hiteachlistlength=hiteachAuthdata[0].serials.auth.length
        //根據服務的長度生出開關，只要服務數量變動就必須重置
        for (let i = 0; i < servicedata.length; i++) {
          temp.push({
            index: i,
            isOpen: false,
          });
        }
       

        for (let i = 0; i < hiteachlistlength; i++) {
          temp2.push({
            index: i,
            isOpen: false,
          });
        }
        context.commit("setServiceIntroIsOpen", temp);
          context.commit('setHiteachListItemIsOpen',temp2)
          context.commit("setServiceList", servicedata);
          context.commit("setHiteachAuthList", hiteachAuthdata);
          context.commit("setSpaceStatus", spaceStatusData);
       
        

        resolve({});
      });
    },
  },
};
