const path = require('path')
function resolve(dir) {
    return path.join(__dirname, './', dir)
}

module.exports = {
    outputDir: '../wwwroot',
    //lintOnSave: process.env.NODE_ENV !== 'production',
    lintOnSave: false,
    pages: {
        app: {
            entry: 'src/main.js',
            template: 'public/index.html',
            filename: 'index.html',
            excludeChunks: ['silent-renew-oidc']
        },
        silentrenewoidc: {
            entry: 'src/silent-renew-oidc.js',
            template: 'public/silent-renew-oidc.html',
            filename: 'silent-renew-oidc.html',
            excludeChunks: ['app']
        }
    },
    chainWebpack(config) {
        config.module
            .rule('svg')
            .exclude
			.add(resolve('src/icons'))
            .add(resolve('src/assets/student-web/icons'))
            .end()
        config.module
            .rule('icons')
            .test(/\.svg$/)
            .include
			.add(resolve('src/icons'))
			.add(resolve('src/assets/student-web/icons'))
            .end()
            .use('svg-sprite-loader')
            .loader('svg-sprite-loader')
            .options({
                symbolId: 'icon-[name]'
            })
            .end()
			
    },
    pluginOptions: {
        'style-resources-loader': {
            preProcessor: 'less',
            patterns: [
                // ǼԼ·,ʹ(:alias)õı·
                path.resolve(__dirname, './src/css/less-variable.less')
            ]
        }
    },
    configureWebpack: config => {
        config.entry.app = ["babel-polyfill", "./src/main.js"];
    }

}
