using Microsoft.AspNetCore.Hosting;
using Microsoft.AspNetCore.Mvc;
using Newtonsoft.Json.Linq;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Text.Json;
using System.Threading.Tasks;
using TEAMModelOS.Models;
using TEAMModelOS.SDK.Context.Exception;
using TEAMModelOS.SDK;
using TEAMModelOS.SDK.Helper.Common.JsonHelper;
using TEAMModelOS.SDK.Helper.Common.JsonHelper.JsonPath;
using TEAMModelOS.SDK.DI;
using static System.Text.Json.JsonElement;
using TEAMModelOS.Models.Dto;

namespace TEAMModelOS.Controllers
{
    [Route("api/[controller]")]
    [ApiController]
    // [Authorize]
    public class CommonController : BaseController
    {

        private readonly AzureCosmosFactory _azureCosmos;
        private readonly IWebHostEnvironment webHostEnvironment;
        public CommonController(IWebHostEnvironment _webHostEnvironment, AzureCosmosFactory azureCosmos)
        {
            webHostEnvironment = _webHostEnvironment;
            _azureCosmos = azureCosmos;
        }
       


        public static string getJson(string contentRootPath, string name)
        {
            //string webRootPath = _hostingEnvironment.WebRootPath;

            try
            {
                String path = contentRootPath + name;
                //获取正在占用的文件
                FileStream fs = new FileStream(path, System.IO.FileMode.Open, FileAccess.Read, FileShare.ReadWrite);
                StreamReader sr = new StreamReader(fs, System.Text.Encoding.UTF8);
                String line;
                StringBuilder builder = new StringBuilder();
                while ((line = sr.ReadLine()) != null)
                {
                    builder.Append(line.ToString());
                }

                sr.Close();
                string log = builder.ToString();
                return log;
            }
            catch (Exception e)
            {
                var s = e.Message;
                return s;
            }
        }
        public static async Task<JsonDocument> GetJson(string contentRootPath, string name)
        {
            try
            {
                string path = contentRootPath + name;
                var fs = await System.IO.File.ReadAllTextAsync(path, Encoding.UTF8);
                return JsonDocument.Parse(fs);
            }
            catch (Exception e)
            {
                new BizException(e.Message);
            }
            return null;
        }

        [HttpPost("FindCollection")]
        public async  Task<BaseResponse> FindCollection(CommonQuery request)
        {
            ResponseBuilder builder = ResponseBuilder.custom();
            List<dynamic>  data =  await _azureCosmos.FindByDict(request.collectionName,request.queryDict);
           // JsonElement json = JsonApiHelper.FromApiJson<JsonElement>( data.ToJson());
            return builder.Data(data).build();
        }


        [HttpPost("FindCount")]
        public async Task<BaseResponse> FindCount(CommonQuery request)
        {
            ResponseBuilder builder = ResponseBuilder.custom();
            List<dynamic> data = await _azureCosmos.FindCountByDict(request.collectionName, request.queryDict);
            return builder.Data(data).build();
        }
    }
}
