using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using TEAMModelOS.Models;
using TEAMModelOS.SDK.Context.Constant.Common;
using TEAMModelOS.SDK.Context.Exception;
using TEAMModelOS.SDK;
using TEAMModelOS.SDK.Helper.Common.CollectionHelper;
using TEAMModelOS.SDK.Helper.Security.AESCrypt;
using TEAMModelOS.SDK.Module.AzureBlob.Configuration;
using TEAMModelOS.SDK.Module.AzureBlob.Container;

using TEAMModelOS.SDK.DI;

namespace TEAMModelOS.Controllers
{
    [Route("api/[controller]")]
    [ApiController]
    public class FileController:BaseController
    {
        private readonly AzureStorageFactory _azureStorage;
       // private readonly IAzureBlobDBRepository _azureBlobDBRepository;
        public FileController(AzureStorageFactory azureStorage
        )
        {
            _azureStorage = azureStorage;
           // _azureBlobDBRepository = azureBlobDBRepository;
        }


        //[HttpPost("uploadFiles")]
        //[RequestSizeLimit(204_800_000_00)] //最大20000m左右
        //public async Task<BaseResponse> BlobSaveFile([FromForm] IFormFile[] files)
        //{
        //    ResponseBuilder responseBuilder = new ResponseBuilder();
        //    FileTypeMap fileTypeMap = new FileTypeMap();
        //    fileTypeMap.GetFileTypes().TryGetValue(FileType.GetExtention(files[0].FileName).ToLower(), out FileType fileTpye);
        //    string type = "";
        //    if (fileTpye != null)
        //    {
        //        type = fileTpye.Type;
        //    }

        //    List<AzureBlobModel> list = await _azureBlobDBRepository.UploadFiles(files);
        //    await azureTableDBRepository.SaveAll<AzureBlobModel>(list);
        //    return responseBuilder.Data(list).build();
        //}
        //[HttpPost("uploadFile")]
        //[RequestSizeLimit(204_800_000_00)] //最大20000m左右
        //public async Task<BaseResponse> BlobSaveFile([FromForm] IFormFile file)
        //{
        //    //IFormFileCollection s =  Request.Form.Files;
        //    ResponseBuilder responseBuilder = new ResponseBuilder();
        //    FileTypeMap fileTypeMap = new FileTypeMap();
        //    fileTypeMap.GetFileTypes().TryGetValue(FileType.GetExtention(file.FileName).ToLower(), out FileType fileTpye);
        //    string type = "";
        //    if (fileTpye != null)
        //    {
        //        type = fileTpye.Type;
        //    }
        //    List<IFormFile> files = new List<IFormFile>();
        //    files.Add(file);
        //    List<AzureBlobModel> list = await _azureBlobDBRepository.UploadFiles(files.ToArray());
        //    await azureTableDBRepository.SaveAll<AzureBlobModel>(list);
        //    return responseBuilder.Data(list).build();
        //}
       
        //[HttpPost("uploadWangEditor")]
        //[RequestSizeLimit(102_400_000_00)] //最大10000m左右
        //public async Task<Dictionary<string, Object>> uploadWangEditor([FromForm] IFormFile[] files)
        //{
        //    //IFormFileCollection s =  Request.Form.Files;
        //    ResponseBuilder responseBuilder = new ResponseBuilder();
        //    FileTypeMap fileTypeMap = new FileTypeMap();
        //    fileTypeMap.GetFileTypes().TryGetValue(FileType.GetExtention(files[0].FileName).ToLower(), out FileType fileTpye);
        //    string type = "";
        //    if (fileTpye != null)
        //    {
        //        type = fileTpye.Type;
        //    }
        //    List<AzureBlobModel> list = await _azureBlobDBRepository.UploadFiles(files.ToArray());
        //    await azureTableDBRepository.SaveAll<AzureBlobModel>(list);
        //    return new Dictionary<string, object> { { "errno", 0 }, { "data", list.Select(x => x.BlobUrl) } };
        //}
       

 


        /// <summary>
        /// {"Sha1Code":"1111","Length":233444}
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        [HttpPost("uploaded")]
        public async Task<BaseResponse> uploaded(JosnRequest<Dictionary<string, object>> request)
        {
            ResponseBuilder responseBuilder = new ResponseBuilder();
            List<AzureBlobModel> models = await _azureStorage.FindListByDict<AzureBlobModel>(request.@params);
            if (models.IsNotEmpty())
            {
                return responseBuilder.Data(models.First()).build();
            }
            else
            {
                return responseBuilder.Data(null).build();
            }
        }



        /// <summary>
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        [HttpPost("saveBlob")]
        public async Task<BaseResponse> saveBlob(JosnRequest<AzureBlobModel> request)
        {
            ResponseBuilder responseBuilder = new ResponseBuilder();
            AzureBlobModel model = await _azureStorage.SaveOrUpdate<AzureBlobModel>(request.@params);
            if (model != null && !string.IsNullOrEmpty(model.RowKey))
            {
                return responseBuilder.Data(model).build();
            }
            else
            {
                return responseBuilder.Data(null).build();
            }
        }

            
        private static (string, string) BlobUrlString( string sasUrl) {
            sasUrl= sasUrl.Substring(8);
            string[] sasUrls = sasUrl.Split("/");
            string ContainerName;
            ContainerName= sasUrls[1].Clone().ToString();
            string item = sasUrls[0] + "/" + sasUrls[1] + "/";
            string blob = sasUrl.Replace(item, "");
            return (ContainerName, blob);
        }


        private static string ContainerUrlString(string sasUrl)
        {
            sasUrl = sasUrl.Substring(8);
            string[] sasUrls = sasUrl.Split("/");
            string ContainerName;
            ContainerName = sasUrls[1].Clone().ToString();
            return ContainerName;
        }


        public static bool IsBlobName(string BlobName)
        {
            return System.Text.RegularExpressions.Regex.IsMatch(BlobName,
             @"(?!((^(con)$)|^(con)\\..*|(^(prn)$)|^(prn)\\..*|(^(aux)$)|^(aux)\\..*|(^(nul)$)|^(nul)\\..*|(^(com)[1-9]$)|^(com)[1-9]\\..*|(^(lpt)[1-9]$)|^(lpt)[1-9]\\..*)|^\\s+|.*\\s$)(^[^\\\\\\:\\<\\>\\*\\?\\\\\\""\\\\|]{1,255}$)");
        }
    }
}
