using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;
using TEAMModelOS.SDK.Context.Attributes.Azure;
using TEAMModelOS.SDK.DI;

namespace TEAMModelOS.Models.CommonInfo
{
    /// <summary>
    ///  Teaching materials 教学材料  题目信息
    /// </summary>
    [CosmosDB(Database = "TEAMModelOS",  Name = "Common", Cache =true)]
    public class ItemInfo :ID
    {
        [PartitionKey]
        [Required(ErrorMessage = "{0} 必须填写")]
        public string code { get; set; }
        //[PartitionKey(name = "ExamItem")]
        public string pk { get; set; }
        public int? ttl { get; set; }
        public ItemInfo()
        {
            children = new List<ItemInfo>();
            option = new List<CodeValue>();
            answer = new List<string>();
            points = new List<string>();
            gradeIds = new List<string>();
            repairResource = new List<ProcessRes>();
        }
        public string shaCode { get; set; }
        //题干
        [Required(ErrorMessage = "{0} 必须填写")]
        public string question { get; set; }
        // 选项 单选 多选 判断
        public List<CodeValue> option { get; set; }
        public List<string> answer { get; set; }
        //解析
        public string explain { get; set; }
        /// <summary>
        /// 题型  Single单选，Multiple多选，Judge判断，Complete填空，Subjective问答，Compose综合
        /// </summary>
        public string type { get; set; }
        /// <summary>
        /// 上级shaCode
        /// </summary>
        public string pShaCode { get; set; }
        //管理知识点
        public List<string> points { get; set; }
        //认知层次 应用 综合 理解 评鉴 知识
        public int? field { get; set; }
        public List<ItemInfo> children { get; set; }
        // 配分  
        public double score { get; set; }
        /// <summary>
        /// 题号
        /// </summary>
        public int order { get; set; }
        //补救
        //public string repair { get; set; }

        /// <summary>
        /// 补救资源
        /// </summary>
        public List<ProcessRes> repairResource { get; set; }
        


        public string subjectId { get; set; }
        public string periodId { get; set; }
        public List<string> gradeIds { get; set; }
        
        /// <summary>
        /// 难度
        /// </summary>
        public int level { get; set; }
        public string id { get ; set ; }
        /// <summary>
        /// 是否综合题的小题
        /// </summary>
        public bool lite { get; set; } = false;

        //创建时间 
        public long createTime { get; set; }
        //创建者
        public string creator { get; set; }
        //使用次数
        public int useCount { get; set; }
        public string examCode { get; set; }
        public string blob { get; set; }
        public string scope { get; set; }
    }


}
