using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;
using System.Text.Json.Serialization;
using TEAMModelOS.SDK.Context.Attributes.Azure;
using TEAMModelOS.SDK.DI;

namespace TEAMModelOS.Models.CommonInfo
{
    /// <summary>
    /// Teaching materials 教学材料 ---内容资源
    /// </summary>
    [CosmosDB(Database = "TEAMModelOS", Name = "Common", Cache = true)]
    public class Resource : ID
    {
        [PartitionKey]
        [Required(ErrorMessage = "{0} 必须填写")]
        public string code { get; set; }
        // [PartitionKey(name = "SyllabusResource")]
        public string pk { get; set; }
        public int? ttl { get; set; }
        public string id { get; set; }

   

        /// <summary>
        /// 文件名字
        /// </summary>
        [Required(ErrorMessage = "{0} 必须填写")]
        public string fileName { get; set; }

        /// <summary>
        /// 文件后缀
        /// </summary>
        [Required(ErrorMessage = "{0} 必须填写")]
        public string extension { get; set; }

        /// <summary>
        /// 文件类型
        /// </summary>
        [Required(ErrorMessage = "{0} 必须填写")]
        public string contentType { get; set; }

        /// <summary>
        /// 文件类型
        /// </summary>
        [Required(ErrorMessage = "{0} 必须填写")]
        public string type { get; set; }

        /// <summary>
        /// 文件大小
        /// </summary>
        [Required(ErrorMessage = "{0} 必须填写")]
        public long size { get; set; }

        /// <summary>
        /// 上传时间
        /// </summary>
        [Required(ErrorMessage = "{0} 必须填写")]
        public long createTime { get; set; }

        /// <summary>
        /// 关联课纲数量
        /// </summary>
        public int relationNum { get; set; } = 0;

        /// <summary>
        /// 链接
        /// </summary>
        [Required(ErrorMessage = "{0} 必须填写")]
        public string blobUrl { get; set; }

        /// <summary>
        /// 缩略图链接  图片视频有 文件没有
        /// </summary>
        public string compressUrl { get; set; }

        /// <summary>
        /// 可见性
        /// </summary>
        [Required(ErrorMessage = "{0} 必须填写")]
        public string range { get; set; }

        /// <summary>
        /// 判断是否唯一
        /// </summary>
        [Required(ErrorMessage = "{0} 必须填写")]
        public string sha1Code { get; set; }


        /// <summary>
        /// 关联知识点的id数组
        /// </summary>
        public List<string> points { get; set; }

    }
}
