 using System;
using System.Collections.Generic;
using System.Text;
using TEAMModelOS.SDK.Context.Attributes.Azure;
using System.Text.Json.Serialization;
using System.ComponentModel.DataAnnotations;
using Newtonsoft.Json;
using TEAMModelOS.SDK.DI;
using ProtoBuf;

namespace TEAMModelOS.Models.CommonInfo
{
    [CosmosDB(Database = "TEAMModelOS", Name = "Common", Monitor =true)]
    [ProtoContract]
    public class Volume :ID
    {
        [PartitionKey]
        [Required(ErrorMessage = "{0} 必须填写")]
        public string code { get; set; }
        // [PartitionKey(name = "SyllabusVolume")]
        public string pk { get; set; }
        public int? ttl { get; set; } 
        /// <summary>
        /// id生成规则
        /// </summary>
        [ProtoMember(1)]
        public string id { get; set; }
        /// <summary>
        /// 0默认教学课纲的册别 1个人或单独的专题课纲册别 2，系统课纲
        /// </summary>
        [ProtoMember(2)]
        public int type { get; set; }
        

        /// <summary>
        /// 学段
        /// </summary>
        [ProtoMember(4)]
        public string periodId { get; set; }
        

        /// <summary>
        /// 学科
        /// </summary>
        [ProtoMember(5)]
        public string subjectId { get; set; }
        

        /// <summary>
        /// 年级
        /// </summary>
        [ProtoMember(6)]
        public string gradeId { get; set; }
        

        /// <summary>
        /// 学期code
        /// </summary>
        [ProtoMember(7)]
        public string semesterId { get; set; }
        

        /// <summary>
        /// 状态
        /// </summary>
        [ProtoMember(8)]
        public int status { get; set; } = 1;
        

        /// <summary>
        /// 册别name
        /// </summary>
        [Required(ErrorMessage = "{0} 必须填写")]
        [ProtoMember(9)]
        public string volumeName { get; set; }
        

        /// <summary>
        /// 册别code
        /// </summary>
        [ProtoMember(10)]
        public string volumeCode { get; set; }
        

        /// <summary>
        /// 创建者醍摩豆id
        /// </summary>
        [JsonPropertyName("TEAMModelId")]
        [JsonProperty("TEAMModelId")]
        [ProtoMember(11)]
        public string TEAMModelId { get; set; }
        
        /// <summary>
        /// 共编使用者 的醍摩豆id
        /// </summary>
        [ProtoMember(12)]
        public List<string> editors { get; set; }

        public int resourceCount { get; set; }
        public int itemCount { get; set; }
    }
}
