using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;
using TEAMModelOS.SDK.Context.Attributes.Azure;
using TEAMModelOS.SDK.DI;

namespace TEAMModelOS.Models.SchoolInfo
{
    /// <summary>
    /// 考试成绩信息
    /// </summary>
    [CosmosDB(Database = "TEAMModelOS", Name = "School")]
    public class ExamResultDto : ID
    {
        [PartitionKey]
        [Required(ErrorMessage = "{0} 必须填写")]
        public string code { get; set; }
        // [PartitionKey(name = "ExamResult")]
        public string pk { get; set; }
        public int? ttl { get; set; }
        public ExamResultDto()
        {
            classes = new List<Dictionary<string, int[]>>();
            result = new List<List<double>>();
            ids = new List<string>();
            point = new List<double>();
        }
        public string id { get; set; }
        public string name { get; set; }
        public string time { get; set; }
        public string subjectCode { get; set; }
        public List<Dictionary<string, int[]>> classes { get; set; }
        public List<List<double>> result { get; set; }
        public List<string> ids { get; set; }
        public List<double> point { get; set; }

        public string schoolCode { get; set; }
        public string paperCode { get; set; }
    }
}
