using ProtoBuf;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Threading.Tasks;

namespace TEAMModelOS.Models.Dto
{
    [ProtoContract]
    public class HomeworkCommentDto
    {
        /// <summary>
        /// 
        /// </summary>
        [ProtoMember(1)]
        [Required(ErrorMessage = "{0} 必须填写")]
        public string studentId { get; set; }

        [ProtoMember(2)]
        [Required(ErrorMessage = "{0} 必须填写")]
        public string homeWorkId { get; set; }

        /// <summary>
        /// 评论id 不带是评论 带是评论的回复
        /// </summary>
        [ProtoMember(3)]
        public string commentid { get; set; }

        /// <summary>
        /// 评论者id
        /// </summary>
        [ProtoMember(4)]
        public string fromId { get; set; }
        
        /// <summary>
        /// 被评论者id 醍摩豆或studenId
        /// </summary>
        [ProtoMember(5)]
        public string toId { get; set; }

        /// <summary>
        /// 评论者身份 教师 学生
        /// </summary>
        [ProtoMember(6)]
        public string identity { get; set; }

        /// <summary>
        /// 评语
        /// </summary>
        [ProtoMember(7)]
        public string comment { get; set; }


        /// <summary>
        /// 学生分数
        /// </summary>
        [ProtoMember(8)]
        public double? score { get; set; }
    }
}
