using ProtoBuf;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Threading.Tasks;

namespace TEAMModelOS.Models.Dto
{
    [ProtoContract]
    public class HomeworkScoringDto
    {
        /// <summary>
        /// 学生id
        /// </summary>
        [ProtoMember(1)]
        [Required(ErrorMessage = "{0} 必须填写")]
        public string studentId { get; set; }
        
        /// <summary>
        /// 作业id
        /// </summary>
        [ProtoMember(2)]
        [Required(ErrorMessage = "{0} 必须填写")]
        public string homeWorkId { get; set; }

        /// <summary>
        /// 教师打分
        /// </summary>
        [ProtoMember(3)]
        public double? score { get; set; }

        [ProtoMember(4)]
        [Required(ErrorMessage = "{0} 必须填写")]
        public string comments { get; set; }

        /// <summary>
        ///  醍摩豆id 或者学生id
        /// </summary>
        [ProtoMember(5)]
        [Required(ErrorMessage = "{0} 必须填写")]
        public string TEAMModelId { get; set; }

        /// <summary>
        /// 学生打星星
        /// </summary>
        [ProtoMember(6)]
        public double start { get; set; } = -1;
    }
}
