using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;
using TEAMModelOS.Models.CommonInfo;
using TEAMModelOS.SDK.Context.Attributes.Azure;
using TEAMModelOS.SDK.DI;

namespace TEAMModelOS.Models.SchoolInfo
{
    /// <summary>
    /// 试卷信息
    /// </summary>
    public class PaperDto
    {
        
        /// <summary>
        ///  学校编码，个人编码，考试编码
        /// </summary>
        [PartitionKey]
        [Required(ErrorMessage = "{0} 必须填写")]
        public string code { get; set; }
        public PaperDto() {
            item = new List<ItemInfoDto>();
            //markConfig = new MarkConfig();
        }

        [JsonProperty(PropertyName = "id")]
        public string id { get; set; }
        /// <summary>
        /// 试卷的基本信息
        /// </summary>
        public string url { get; set; }
        /// <summary>
        /// 题目信息
        /// </summary>
        public List<ItemInfoDto> item { get; set; }
        /// <summary>
        /// 科目
        /// </summary>
        public string subjectCode { get; set; }
        /// <summary>
        /// 学段
        /// </summary>
        public string periodCode { get; set; }
        /// <summary>
        /// 年级
        /// </summary>
        public List<string> gradeCode { get; set; }

        /// <summary>
        /// 试卷名称
        /// </summary>
        public string name { get; set; }
        /// <summary>
        /// 题目总数
        /// </summary>
        public int itemCount { get; set; }
        /// <summary>
        /// 题目难度
        /// </summary>
        public double level { get; set; }
        /// <summary>
        /// 总分
        /// </summary>
        public double score { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        public long createTime { get; set; }
        /// <summary>
        /// 正确答案
        /// </summary>
        public List<Answer> answers { get; set; }
        /// <summary>
        /// 阅卷规则
        /// </summary>
        //public MarkConfig markConfig { get; set; }
        /// <summary>
        /// 题目集合
        /// </summary>
        public List<string> itemids { get; set; }
    }
}
