using Azure.Cosmos;
using ProtoBuf;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;
using System.Text.Json;
using System.Text.Json.Serialization;
using TEAMModelOS.Models.StudentInfo;
using TEAMModelOS.Models.TeacherInfo;
using TEAMModelOS.SDK.Context.Attributes.Azure;
using TEAMModelOS.SDK.DI;

namespace TEAMModelOS.Models.SchoolInfo
{
    [ProtoContract]
    [CosmosDB(Database = "TEAMModelOS", Name = "School")]
    public class Classroom:ID
    {
        public string pk { get; set; }
        public   int? ttl { get; set; }
        public Classroom()
        {
            //point = new Point();
            students = new List<StudentSimple>();
            teacher = new Teachers();
        }

        [ProtoMember(1)]
        [JsonPropertyName("id")]
        public string id { get; set; }
        /*        [ProtoMember(3)]
                [Required(ErrorMessage = "{0} 必须填写")]
                public string classroomCode { get; set; }*/
        //教室坐标
        //[ProtoMember(4)]
        //public Point point { get; set; }
        public float x { get; set; }
        //[ProtoMember(2)]
        public float y { get; set; }
        [ProtoMember(5)]
        public string name { get; set; }
        [ProtoMember(6)]
        public Teachers teacher { get; set; }
        [ProtoMember(7)]
        public string periodId { get; set; }
        [ProtoMember(8)]
        public string gradeId { get; set; }
        [ProtoMember(9)]
        public string sn { get; set; }
        /*[ProtoMember(10)]
        public int studentCount { get; set; }*/
        public List<StudentSimple> students { get; set; }
        /// <summary>
        /// TBL IRS 类型区分
        /// </summary>
        [ProtoMember(11)]
        public string style { get; set; }
        [ProtoMember(12)]
        public int status { get; set; } = 1;
        /// <summary>
        /// </summary>
        /*[ProtoMember(13)]
        [Required(ErrorMessage = "{0} 必须填写，请设置个人教室还是学校教室")]
        public int type { get; set; } = 1;*/
        [PartitionKey]
        [Required(ErrorMessage = "{0} 必须填写")]
        public string code { get; set; }
        /// <summary>
        /// 教室属性，普通 /专设的教室
        /// </summary>
        public string openType { get; set; }
        public string scope { get; set; }
    }
}

[ProtoContract]
public class Point
{
    [ProtoMember(1)]
    public float x { get; set; }
    [ProtoMember(2)]
    public float y { get; set; }
}
[ProtoContract]
public class StudentSimple
{

    public string id { get; set; }

    public string  name { get; set; }

    public string no { get; set; }

    public string groupId { get; set; }
    public string groupName { get; set; }
}