using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;
using TEAMModelOS.SDK.Context.Attributes.Azure;
using TEAMModelOS.SDK.DI;
using TEAMModelOS.Models;

namespace TEAMModelOS.Models.SchoolInfo
{
    /// <summary>
    /// 课程
    /// </summary>
    [CosmosDB(Database = "TEAMModelOS", Name = "School")]
    public class Course : ID
    {
        public Course()
        {
            period = new PeriodSimple();
            subject = new SubjectSimple();
            teachers = new List<Teachers>();
        }
        /// <summary>
        /// 课程id
        /// </summary>
        public string id { get; set; }
        public int? ttl { get; set; }
        public string pk { get; set; }
        /// <summary>
        /// 学校编码  或醍摩豆ID
        /// </summary>
        [PartitionKey]
        [Required(ErrorMessage = "{0} 必须填写")]
        public string code { get; set; }
        /// <summary>
        /// 课程名称
        /// </summary>
        [Required(ErrorMessage = "{0} 必须填写")]
        public string name { get; set; }
        /// <summary>
        /// 课程编码
        /// </summary>
       /* [Required(ErrorMessage = "{0} 必须填写")]
        public string courseCode { get; set; }*/
        ///// <summary>
        ///// 学期编码
        ///// </summary>
        //public string semesterCode { get; set; }
        /// <summary>
        /// 科目编码
        /// </summary>
        public SubjectSimple subject { get; set; }
        /// <summary>
        /// 学段编码
        /// </summary>
        public PeriodSimple period { get; set; }
        /// <summary>
        /// 任课教师范围
        /// </summary>
        public List<Teachers> teachers { get; set; }
        public string scope { get; set; }
        public string notice { get; set; }

    }
    public class PeriodSimple
    {

        public string id { get; set; }
        public string name { get; set; }
    }
    public class SubjectSimple
    {

        public string id { get; set; }
        public string name { get; set; }
    }
    public class Teachers
    {
        public string id { get; set; }
        public string name { get; set; }
    }
}
