﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;
using TEAMModelOS.SDK.Context.Attributes.Azure;
using TEAMModelOS.SDK.DI;
using TEAMModelOS.Models;
using ProtoBuf;

namespace TEAMModelOS.Models.SchoolInfo
{
    /// <summary>
    /// 课程
    /// </summary>
    [CosmosDB(Database = "TEAMModelOS", Name = "School")]
    public class CourseManagement : ID
    {
        public CourseManagement()
        {
            courses = new List<CourseSimple>();
            teacher = new Teachers();
        }
        /// <summary>
        /// 班级id
        /// </summary>
        public string id { get; set; }
        public int? ttl { get; set; }
        public string pk { get; set; }
        [PartitionKey]
        public string code { get; set; }
        public string name { get; set; }
        public List<CourseSimple> courses { get; set; }
        public Teachers teacher { get; set; }
        public string scope { get; set; }
        
    }

    public class CourseSimple {
        public CourseSimple() {
            course = new Courses();
            teachers = new List<Teachers>();
        }
        public Courses course { get; set; }
        public List<Teachers> teachers { get; set; }
    }
    public class Courses { 
        public string id { get; set; }
        public string name { get; set; }
        public string scope { get; set; }
        public string notice { get; set; }

    }
}
