using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;
using TEAMModelOS.SDK.Context.Attributes.Azure;
using TEAMModelOS.SDK.DI;

namespace TEAMModelOS.Models.SchoolInfo
{
    /// <summary>
    /// 考生作答信息
    /// </summary>
    [CosmosDB(Database = "TEAMModelOS", Name = "School")]
    public class ExamAnswer :ID
    {
       // [PartitionKey(name = "ExamAnswer")]
        public string pk { get; set; }
        public int? ttl { get; set; } 
        public ExamAnswer()
        {
            answer = new List<List<string>>();
        }
        [JsonProperty(PropertyName = "id")]
        public string id { get; set; } 
        public List<List<string>> answer { get; set; }
        [PartitionKey]
        [Required(ErrorMessage = "{0} 必须填写")]
        public string code { get; set; }
    }
}
