using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;
using TEAMModelOS.SDK.Context.Attributes.Azure;
using TEAMModelOS.SDK.DI;

namespace TEAMModelOS.Models.SchoolInfo
{
    /// <summary>
    /// 考试成绩信息
    /// </summary>
    [CosmosDB(Database = "TEAMModelOS", Name = "School")]
    public  class ExamResult:ID
    {
        [PartitionKey]
        [Required(ErrorMessage = "{0} 必须填写")]
        public string code { get; set; }
        // [PartitionKey(name = "ExamResult")]
        public string pk { get; set; }
        public int? ttl { get; set; } 
        public ExamResult()
        {
            classes = new List<ClassRange>();
            studentScores = new List<List<double>>();
            studentIds = new List<string>();
            point = new List<double>();
        }
        public string id { get; set; }
        public string name { get; set; }
        public string time { get; set; }
        public string subjectId { get; set; }
        public List<ClassRange> classes { get; set; }
        public List<List<double>> studentScores { get; set; }
        public List<string> studentIds { get; set; }
        public List<double> point { get; set; }
     
        public string schoolId { get; set; }
        public PaperSimple paper { get; set; }
        public string scope { get; set; }
        public string examId { get; set; }
        public string school { get; set; }
        public int year { get; set; }
    }
    public class ClassRange {

        public string id { get; set; }
        public string name { get; set; }
        public List<int> range { get; set; }
    }
}
