using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using TEAMModelOS.SDK.Context.Attributes.Azure;

namespace TEAMModelOS.Models.SchoolInfo
{
    [CosmosDB(Database = "TEAMModelOS", Name = "School")]
    public class SchoolProduct
    {
        public string id { get; set; }
        [PartitionKey]
        public string code { get; set; }
        public List<SerialInfo> serial { get; set; }
        public ProductService service { get; set; }
        public ProductHard hard { get; set; }
        public List<string> aclassoneUserIds { get; set; }
        

    }

    public class SerialInfo
    {
        public string id { get; set; }
        public string serial { get; set; }
        public string prodGroup { get; set; }
        public string prodName { get; set; }
        public int clientQty { get; set; }
        public long regDate { get; set; }
        public long startDate { get; set; }
        public long endDate { get; set; }
        public bool active { get; set; }
        public int deviceMax { get; set; }
        public List<deviceBoundExt> deviceBound { get; set; }
        public object aprule { get; set; }
        public string expireStatus { get; set; }
        public int status { get; set; }
    }

    public class deviceBound
    {
        public string uuid { get; set; }
        public string uuid2 { get; set; }
        public string deviceId { get; set; }
        public string classId { get; set; }
    }
    public class deviceBoundExt: deviceBound
    {
        public string ip { get; set; }
        public string pcname { get; set; }
        public string os { get; set; }
        public string cpu { get; set; }
        public int ram { get; set; }
    }

    public class ProductService
    {
        public List<ServiceMainPeriod> mainperiod { get; set; }
        public List<ServicePeriod> period { get; set; }
        public List<ServiceProduct> product { get; set; }
    }
    public class ServiceMainPeriod
    {
        public string mainPeriodId { get; set; }
        public string mainPeriodtype { get; set; }
        public long startDate { get; set; }
        public long endDate { get; set; }
        public bool active { get; set; }
    }
    public class ServicePeriod
    {
        public string mainPeriodId { get; set; }
        public string periodId { get; set; }
        public long startDate { get; set; }
        public long endDate { get; set; }
        public bool active { get; set; }
    }

    public class ServiceProduct
    {
        public string prodCode { get; set; }
        public string prodGroup { get; set; }
        public string prodName { get; set; }
        public bool noperiod { get; set; }
        public string serviceType { get; set; }
        public List<ServiceProductAuth> auth { get; set; }
        public int avaliable { get; set; }
    }
    public class ServiceProductAuth
    {
        public string orderId { get; set; }
        public string periodId { get; set; }
        public int number { get; set; }
        public string unit { get; set; }
    }

    public class ProductHard
    {
        public string prodCode { get; set; }
        public string prodGroup { get; set; }
        public string prodName { get; set; }
        public string model { get; set; }
        public string serial { get; set; }
    }

    public class CoreUuid
    {
        public string serial { get; set; }
        public string os { get; set; }
        public string ip { get; set; }
        public string uuid { get; set; }
        public string uuid2 { get; set; }
        public string deviceId { get; set; }
        public string pcname { get; set; }
        public string cpu { get; set; }
        public int ram { get; set; }
    }
}

