using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;
using TEAMModelOS.Models.SchoolInfo;
using TEAMModelOS.SDK.Context.Attributes.Azure;
using TEAMModelOS.SDK.DI;

namespace TEAMModelOS.Models.StudentInfo
{
    [CosmosDB(Database = "TEAMModelOS", Name = "Student")]
    public class ExamRecord : ID
    {
        public int? ttl { get; set; }
        public string pk { get; set; }
        /// <summary>
        /// 试卷id
        /// </summary>
        [Required(ErrorMessage = "{0} 必须填写")]
        public string id { get; set; }
        /// <summary>
        /// 学生id
        /// </summary>
        [PartitionKey]
        [Required(ErrorMessage = "{0} 必须填写")]
        public string code { get; set; }
        /// <summary>
        /// 考试code
        /// </summary>
        [Required(ErrorMessage = "{0} 必须填写")]
        public string examCode { get; set; }
        /// <summary>
        /// 0 未作答，白卷，  1已作答
        /// </summary>
        [Required(ErrorMessage = "参考状态必须填写")]
        public int status { get; set; }
        public List<Answer> answers{ get; set; }
        /// <summary>
        /// 阅卷状态 0 未阅卷，1未完成阅卷，2完成阅卷
        /// </summary>
        public int mark { get; set; } = 0;
        /// <summary>
        /// 总分
        /// </summary>
        public double? score { get; set; } = 0;
    }
}
