using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;
using TEAMModelOS.SDK.Context.Attributes.Azure;
using TEAMModelOS.SDK.DI;

namespace TEAMModelOS.Models.StudentInfo
{    /// <summary>
     ///  编序式和学习单元 作答记录
     /// </summary>
    [CosmosDB(Database = "TEAMModelOS", Name = "Student")]
    public class LearnRecord : ID
    {
        /// <summary>
        /// 学生id
        /// </summary>
        [PartitionKey]
        [Required(ErrorMessage = "{0} 必须填写")]
        public string code { get; set; }
        public string pk { get; set; }
        public int? ttl { get; set; } 
        public LearnRecord() {
            steps = new List<RecordStep>();
        }
        /// <summary>
        /// learn学习任务id
        /// </summary>
        public string id { get; set; }
      

        public List<RecordStep> steps { get; set; }
    }

    public class RecordStep {

        public int index { get; set; }
        public int count { get; set; }
        public int score { get; set; }
        public RecordStep() {
            resource = new List<RecordRes>();
        }
        public List<RecordRes> resource { get; set; }
        public List<RecordAns> answer { get; set; }
        public long startTime { get; set; }
        public long endTime { get; set; }
    }
    /// <summary>
    /// 资源记录
    /// </summary>
    public class RecordRes
    {
        public int index { get; set; }
        /// <summary>
        /// 阅读时长 秒数
        /// </summary>
        public int costTime { get; set; } = 0;
    }
    /// <summary>
    /// 题目作答记录
    /// </summary>
    public class RecordAns
    {
        public RecordAns(){
            ans = new List<string>();
        }
        public int index { get; set; }

        List<string> ans { get; set; }
        /// <summary>
        /// 作答时长
        /// </summary>
        public int costTime { get; set; } = 0;
    }
}
