using DocumentFormat.OpenXml.Math;
using ProtoBuf;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;
using TEAMModelOS.SDK.Context.Attributes.Azure;
using TEAMModelOS.SDK.DI;

namespace TEAMModelOS.Models.StudentInfo
{
    [CosmosDB(Database = "TEAMModelOS", Name = "Student")]
    public class SurveyRecord : ID
    {
        public SurveyRecord() {
            classroom = new ClassroomItem();
        }

        /// <summary>
        /// 问卷调查id
        /// </summary>
        public string id { get; set; }
        public int? ttl { get; set; }
        public string pk { get; set; }
        /// <summary>
        /// 学生id
        /// </summary>
        [PartitionKey]
        [Required(ErrorMessage = "{0} 必须填写")]
        public string code { get; set; }

        /// <summary>
        /// 姓名
        /// </summary>
        [ProtoMember(3)]
        public string name { get; set; }

        /// <summary>
        /// 上课班级
        /// </summary>
        [ProtoMember(5)]
        public ClassroomItem classroom { get; set; }

        /// <summary>
        /// 提交时间
        /// </summary>
        [ProtoMember(9)]
        public long submitTime { get; set; }

        public List<SurveyAnswer> answers { get; set; }
    }
    public class SurveyAnswer { 
        public int order { get; set; }
        public List<string> answer { get; set; }
    }
}
