using ProtoBuf;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;
using TEAMModelOS.SDK.Context.Attributes.Azure;
using TEAMModelOS.SDK.DI;

namespace TEAMModelOS.Models.StudentInfo
{
    [CosmosDB(Database = "TEAMModelOS", Name = "Student")]
    public class VoteRecord : ID
    {
        /// <summary>
        /// 学生id
        /// </summary>
        [PartitionKey]
        [Required(ErrorMessage = "{0} 必须填写")]
        public string code { get; set; }
        public string pk { get; set; }
        public VoteRecord() {
            classroom = new ClassroomItem();
        }
        /// <summary>
        /// 投票活动id
        /// </summary>
        [ProtoMember(1)]
        public string id { get; set; }

        /// <summary>
        /// 姓名
        /// </summary>
        [ProtoMember(3)]
        public string name { get; set; }

        /// <summary>
        /// 上课班级
        /// </summary>
        [ProtoMember(5)]
        public ClassroomItem classroom { get; set; }

     

        /// <summary>
        /// 提交时间
        /// </summary>
        [ProtoMember(9)]
        public long submitTime { get; set; }

        /// <summary>
        /// 选项
        /// </summary>
        [ProtoMember(10)]
        public string option { get; set; }
        public int? ttl { get ; set ; }
    }
}
