using ProtoBuf;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;
using TEAMModelOS.Models.CommonInfo;
using TEAMModelOS.SDK.Context.Attributes.Azure;
using TEAMModelOS.SDK.DI;

namespace TEAMModelOS.Models.TeacherInfo
{
    /// <summary>
    /// 作业
    /// </summary>
    [ProtoContract]
    [CosmosDB(Database = "TEAMModelOS", Name = "Teacher")]
    public class Homework:ID
    {
        [Required(ErrorMessage = "{0} 必须填写")]
        [PartitionKey]
        public string code { get; set; }
        //[PartitionKey(name = "HomeWork")]
        public string pk { get; set; }
        public int? ttl { get; set; } 
        public Homework()
        {
            target = new List<Target>();
            resource = new List<ProcessRes>();
        }

        [ProtoMember(1)]
        public string id { get; set; }

     

        /// <summary>
        /// 作业名称
        /// </summary>
        [ProtoMember(3)]
        public string name { get; set; }

        /// <summary>
        /// 作业发布对象
        /// </summary>
        [ProtoMember(4)]
        public List<Target> target { get; set; }

        /// <summary>
        /// 发布模式 0 立即发布 1 定时
        /// </summary>
        [ProtoMember(5)]
        public string publishModel { get; set; }

        /// <summary>
        /// 开始时间
        /// </summary>
        [ProtoMember(6)]
        public long startTime { get; set; }

        /// <summary>
        /// 结束时间
        /// </summary>
        [ProtoMember(7)]
        public long endTime { get; set; }
        //记录ServiceBus每条消息的编号

        public long sequenceNumber { get; set; }





        /// <summary>
        /// 作业描述
        /// </summary>
        [ProtoMember(8)]
        public string description { get; set; }

  
        /// <summary>
        /// 作业附件
        /// </summary>
        [ProtoMember(9)]
        public List<ProcessRes> resource { get; set; }


        /// <summary>
        /// 状态 （100：待发布 200：已发布 300：已结束）
        /// </summary>
        [ProtoMember(10)]
        public int status { get; set; }

        //public Subdto subdto { get; set; }

        /// <summary>
        /// 学生 是否互评 是否可见 
        /// </summary>
        [ProtoMember(11)]
        public List<string> other { get; set; }
        //创建时间 
        [ProtoMember(12)]
        public long createTime { get; set; }
        


    }
}
