using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;
using TEAMModelOS.SDK.Context.Attributes.Azure;
using TEAMModelOS.SDK.DI;

namespace TEAMModelOS.Models.TeacherInfo
{

    /// <summary>
    /// 编序学习
    /// </summary>
    [CosmosDB(Database = "TEAMModelOS", Name = "Teacher")]
    public class LearnProcess : ID
    {
        [Required(ErrorMessage = "{0} 必须填写")]
        [PartitionKey]
        public string code { get; set; }
        //   [PartitionKey(name = "LeanProcess")]
        public string pk { get; set; }
        public int? ttl { get; set; } 
        public LearnProcess() {
            steps = new List<LearnUnit>();
        }
        
        public string id { get; set; }

        public string name { get; set; }

        [Required(ErrorMessage = "{0} 必须填写")]
        public string subjectCode { get; set; }

        /// <summary>
        /// 学段code
        /// </summary>
        [Required(ErrorMessage = "{0} 必须填写")]
        public string periodCode { get; set; }


        /// <summary>
        /// 活动介绍
        /// </summary>
        [Required(ErrorMessage = "{0} 必须填写")]
        public string Introduce { get; set; }

        public long createTime { get; set; }




        /// <summary>
        /// 最小单元
        /// </summary>
        public List<LearnUnit> steps { get; set; }




        
    }


}
