using ProtoBuf;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;
using TEAMModelOS.SDK.Context.Attributes.Azure;
using TEAMModelOS.SDK.DI;

namespace TEAMModelOS.Models.TeacherInfo
{ 
    /// <summary>
    /// 学习任务
    /// </summary>
    [ProtoContract]
    [CosmosDB(Database = "TEAMModelOS", Name = "Teacher")]
    public class LearnTask :ID
    {
        public int? ttl { get ; set ; }
        public string pk { get ; set ; }
        /// <summary>
        /// 编序式学习或学习单元ID
        /// </summary>
        [Required(ErrorMessage = "{0} 必须填写")]
        public string id { get ; set ; }
        /// <summary>
        ///班级编码
        /// </summary>
        [PartitionKey]
        [Required(ErrorMessage = "{0} 必须填写")]
        public string code { get ; set ; }
        /// <summary>
        /// 结束时间
        /// </summary>
        [ProtoMember(7)]
        public long endTime { get; set; }
        /// <summary>
        ///有效状态
        /// </summary>
        [ProtoMember(10)]
        public int status { get; set; } = 1;
        /// <summary>
        /// 自主学习1，课前预习2
        /// </summary>
        [ProtoMember(10)]
        public int type { get; set; }
        /// <summary>
        /// 创建时间 
        /// </summary>
        [ProtoMember(12)]
        public long createTime { get; set; }
        /// <summary>
        /// 是否闯关模式 0不闯关，1 闯关
        /// </summary>
        public int stage { get; set; }
        /// <summary>
        /// 闯关模式的通关分数
        /// </summary>
        public int passScore { get; set; }
    }
}
