using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;
using TEAMModelOS.Models.CommonInfo;
using TEAMModelOS.SDK.Context.Attributes.Azure;
using TEAMModelOS.SDK.DI;

namespace TEAMModelOS.Models.TeacherInfo
{
    /// <summary>
    /// 学习单元
    /// </summary>
    [CosmosDB(Database = "TEAMModelOS", Name = "Teacher")]
    public class LearnUnit:ID
    {
        [Required(ErrorMessage = "{0} 必须填写")]
        [PartitionKey]
        public string code { get; set; }
        //[PartitionKey(name = "LearnUnit")]
        public string pk { get; set; }
        public int? ttl { get; set; }
        public LearnUnit() {
            //syllabus = new List<string>();
            resource = new List<ProcessRes>();
            item = new List<ItemInfo>();
        }
        //创建时间 
        public long createTime { get; set; }
        //创建者
        public string creator { get; set; }
        public string id { get; set; }
        //public List<string> syllabus { get; set; }
        /// <summary>
        /// 资源内容
        /// </summary>
        public List<ProcessRes> resource { get; set; }
        /// <summary>
        /// 题目
        /// </summary>
        public List<ItemInfo> item { get; set; }
        /// <summary>
        /// 名称
        /// </summary>
        public string name { get; set; }
     
        public string subjectCode { get; set; }
    }
}
