using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;
using System.Text.Json.Serialization;
using TEAMModelOS.SDK.Context.Attributes.Azure;
using TEAMModelOS.SDK.DI;

namespace TEAMModelOS.Models.TeacherInfo
{
    [CosmosDB(Database = "TEAMModelOS", Name = "Teacher")]
    public class SchoolUser : ID
    {
        public string id { get; set; }
        public string schoolCode { get; set; }
        public string schoolName { get; set; }
        public string userid { get; set; }
        public string name { get; set; }
        public string jobTitle { get; set; }
        public string picture { get; set; }
        public List<string> role { get; set; }
        public List<string> authority { get; set; }
        public int joinStatus { get; set; } = 0;
        public bool loginFlg { get; set; }
        public long lastLoginDate { get; set; } = 0;
        public long crtDate { get; set; } = 0;
        public long remindDate { get; set; } = 0;
        public long joinDate { get; set; } = 0;
        [Required(ErrorMessage = "{0} 必须填写")]
        [PartitionKey]
        public string code { get; set; }
        public int? ttl { get; set; }
        public string pk { get; set ; }
    }
}